# Uses of Class
javax.xml.datatype.DatatypeConstants.Field

Packages that use DatatypeConstants.Field
Package
Description
javax.xml.datatype
Defines XML/Java Type Mappings.

## Uses of DatatypeConstants.Field in javax.xml.datatype

Fields in javax.xml.datatype declared as DatatypeConstants.Field
Modifier and Type
Field
Description
`static final DatatypeConstants.Field`
DatatypeConstants.`DAYS`
A constant that represents the days field.
`static final DatatypeConstants.Field`
DatatypeConstants.`HOURS`
A constant that represents the hours field.
`static final DatatypeConstants.Field`
DatatypeConstants.`MINUTES`
A constant that represents the minutes field.
`static final DatatypeConstants.Field`
DatatypeConstants.`MONTHS`
A constant that represents the months field.
`static final DatatypeConstants.Field`
DatatypeConstants.`SECONDS`
A constant that represents the seconds field.
`static final DatatypeConstants.Field`
DatatypeConstants.`YEARS`
A constant that represents the years field.
Methods in javax.xml.datatype with parameters of type DatatypeConstants.Field
Modifier and Type
Method
Description
`abstract Number`
Duration.`getField(DatatypeConstants.Field field)`
Gets the value of a field.
`abstract boolean`
Duration.`isSet(DatatypeConstants.Field field)`
Checks if a field is set.